## hwinfo 21.56

=== debian/changelog ===
hwinfo (21.56-1build1) cosmic; urgency=medium

  * No-change rebuild against libx86emu2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Aug 2018 17:20:49 +0000

hwinfo (21.56-1) unstable; urgency=medium

  * New upstream version 21.56
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 04 Jul 2018 08:33:18 +0200

=== debian/control ===
Source: hwinfo
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastien Badia <sbadia@debian.org>
Uploaders: Tomasz Buchert <tomasz@debian.org>
Build-Depends: debhelper (>= 11),
               doxygen,
               flex,
               libx86emu-dev [amd64 i386],
               pkg-config
Standards-Version: 4.1.3
Homepage: https://github.com/openSUSE/hwinfo
Vcs-Git: https://salsa.debian.org/debian/hwinfo.git
Vcs-Browser: https://salsa.debian.org/debian/hwinfo

Package: hwinfo
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Hardware identification system
 hwinfo is the hardware detection tool used in SuSE Linux.
 .
 In Debian Edu (Skolelinux) hwinfo has shown better results than discover when
 detecting mouse, keyboard and monitor.
 .
 hwinfo collects information about the hardware installed on a system.  Among
 others, libhd contains information about cdrom, zip, floppy, disks and
 partitions, network card, graphics card, monitor, camera, mouse, sound, pppoe,
 isdn, modem, printer, scanner, bios, cpu, usb, memory and smp.
 .
 This package does not include the binaries hwscan, hwscand and hwscanqueue. If
 you think one or more of these should be included in the package, please
 contact the maintainer at hwinfo@packages.debian.org.

Package: libhd21
Section: libs
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Hardware identification system library
 hwinfo is the hardware detection tool used in SuSE Linux.
 .
 In Debian Edu (Skolelinux) hwinfo has shown better results than discover when
 detecting mouse, keyboard and monitor.
 .
 hwinfo collects information about the hardware installed on a system.  Among
 others, libhd contains information about cdrom, zip, floppy, disks and
 partitions, network card, graphics card, monitor, camera, mouse, sound, pppoe,
 isdn, modem, printer, scanner, bios, cpu, usb, memory and smp.
 .
 This package contains the shared library from the hwinfo package.

Package: libhd-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Suggests: doc-base
Enhances: libhd-dev
Provides: libhd12-doc,
          libhd13-doc,
          libhd14-doc,
          libhd15-doc,
          libhd16-doc,
          libhd20-doc,
          libhd21-doc
Description: Hardware identification system library documentation
 hwinfo is the hardware detection tool used in SuSE Linux.
 .
 In Debian Edu (Skolelinux) hwinfo has shown better results than discover when
 detecting mouse, keyboard and monitor.
 .
 hwinfo collects information about the hardware installed on a system.  Among
 others, libhd contains information about cdrom, zip, floppy, disks and
 partitions, network card, graphics card, monitor, camera, mouse, sound, pppoe,
 isdn, modem, printer, scanner, bios, cpu, usb, memory and smp.
 .
 This package contains the documentation for the libhd21-dev package.

Package: libhd-dev
Section: libdevel
Architecture: linux-any
Depends: libhd21 (= ${binary:Version}), ${misc:Depends}
Suggests: libhd-doc
Provides: libhd12-dev,
          libhd13-dev,
          libhd14-dev,
          libhd15-dev,
          libhd16-dev,
          libhd20-dev,
          libhd21-dev
Multi-Arch: same
Description: Hardware identification system library and headers
 hwinfo is the hardware detection tool used in SuSE Linux.
 .
 In Debian Edu (Skolelinux) hwinfo has shown better results than discover when
 detecting mouse, keyboard and monitor.
 .
 hwinfo collects information about the hardware installed on a system.  Among
 others, libhd contains information about cdrom, zip, floppy, disks and
 partitions, network card, graphics card, monitor, camera, mouse, sound, pppoe,
 isdn, modem, printer, scanner, bios, cpu, usb, memory and smp.
 .
 This package contains the static library and header files from the hwinfo
 package.

## hwinfo 21.57

=== debian/changelog ===
hwinfo (21.57-1) unstable; urgency=medium

  * New upstream version 21.57
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 22 Sep 2018 10:21:05 +0200

hwinfo (21.56-2) unstable; urgency=medium

  * Bump std-ver to 4.1.5 and reformat
  * Rebuild with libx86emu2 dependency

 -- Tomasz Buchert <tomasz@debian.org>  Fri, 03 Aug 2018 12:35:04 +0800

## hwinfo 21.58

=== debian/changelog ===
hwinfo (21.58-1) unstable; urgency=medium

  * New upstream version 21.58

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 11 Oct 2018 08:16:10 +0200

## hwinfo 21.59

=== debian/changelog ===
hwinfo (21.59-1) unstable; urgency=medium

  * New upstream version 21.59
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 15 Oct 2018 22:56:34 +0200

## hwinfo 21.60

=== debian/changelog ===
hwinfo (21.60-1) unstable; urgency=medium

  * New upstream version 21.60

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 27 Oct 2018 13:29:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: hwinfo
+Maintainer: Sebastien Badia <sbadia@debian.org>
+Uploaders: Tomasz Buchert <tomasz@debian.org>
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastien Badia <sbadia@debian.org>
-Uploaders: Tomasz Buchert <tomasz@debian.org>
 Build-Depends: debhelper (>= 11),
                doxygen,
                flex,
                libx86emu-dev [amd64 i386],
                pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian/hwinfo
+Vcs-Git: https://salsa.debian.org/debian/hwinfo.git
 Homepage: https://github.com/openSUSE/hwinfo
-Vcs-Git: https://salsa.debian.org/debian/hwinfo.git
-Vcs-Browser: https://salsa.debian.org/debian/hwinfo
 
 Package: hwinfo
 Architecture: linux-any
@@ -33,11 +32,11 @@
  contact the maintainer at hwinfo@packages.debian.org.
 
 Package: libhd21
+Architecture: linux-any
+Multi-Arch: same
 Section: libs
-Architecture: linux-any
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: same
 Description: Hardware identification system library
  hwinfo is the hardware detection tool used in SuSE Linux.
  .
@@ -52,8 +51,8 @@
  This package contains the shared library from the hwinfo package.
 
 Package: libhd-doc
+Architecture: all
 Section: doc
-Architecture: all
 Depends: libjs-jquery, ${misc:Depends}
 Suggests: doc-base
 Enhances: libhd-dev
@@ -78,8 +77,9 @@
  This package contains the documentation for the libhd21-dev package.
 
 Package: libhd-dev
+Architecture: linux-any
+Multi-Arch: same
 Section: libdevel
-Architecture: linux-any
 Depends: libhd21 (= ${binary:Version}), ${misc:Depends}
 Suggests: libhd-doc
 Provides: libhd12-dev,
@@ -89,7 +89,6 @@
           libhd16-dev,
           libhd20-dev,
           libhd21-dev
-Multi-Arch: same
 Description: Hardware identification system library and headers
  hwinfo is the hardware detection tool used in SuSE Linux.
  .

## hwinfo 21.61

=== debian/changelog ===
hwinfo (21.61-1) unstable; urgency=medium

  * New upstream version 21.61

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 03 Nov 2018 08:28:03 +0100

## hwinfo 21.62

=== debian/changelog ===
hwinfo (21.62-1) unstable; urgency=medium

  * New upstream version 21.62
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 18 Nov 2018 13:12:53 +0100

## hwinfo 21.63

=== Makefile ===
TOPDIR		= $(CURDIR)
SUBDIRS		= src
TARGETS		= hwinfo hwinfo.pc changelog
CLEANFILES	= hwinfo hwinfo.pc hwinfo.static hwscan hwscan.static hwscand hwscanqueue doc/libhd doc/*~
LIBS		= -lhd
SLIBS		= -lhd
TLIBS		= -lhd_tiny
SO_LIBS		=
TSO_LIBS	=

export SO_LIBS

GIT2LOG := $(shell if [ -x ./git2log ] ; then echo ./git2log --update ; else echo true ; fi)
GITDEPS := $(shell [ -d .git ] && echo .git/HEAD .git/refs/heads .git/refs/tags)
BRANCH  := $(shell [ -d .git ] && git branch | perl -ne 'print $$_ if s/^\*\s*//')
ifdef HWINFO_VERSION
VERSION := $(shell echo ${HWINFO_VERSION} > VERSION; cat VERSION)
else
VERSION := $(shell $(GIT2LOG) --version VERSION ; cat VERSION)
endif
PREFIX  := hwinfo-$(VERSION)

include Makefile.common

ifeq "$(ARCH)" "x86_64"
LIBDIR		?= /usr/lib64
else
LIBDIR		?= /usr/lib
endif
ULIBDIR		= $(LIBDIR)

# ia64
ifneq ($(filter i386 x86_64, $(ARCH)),)
SLIBS		+= -lx86emu
TLIBS		+= -lx86emu
SO_LIBS		+= -lx86emu
TSO_LIBS	+= -lx86emu
endif

SHARED_FLAGS	=
OBJS_NO_TINY	= names.o parallel.o modem.o

.PHONY:	fullstatic static shared tiny doc diet tinydiet uc tinyuc

ifdef HWINFO_VERSION
changelog:
	@true
else
changelog: $(GITDEPS)
	$(GIT2LOG) --changelog changelog
endif

hwscan: hwscan.o $(LIBHD)
	$(CC) hwscan.o $(LDFLAGS) $(CFLAGS) $(LIBS) -o $@

hwinfo: hwinfo.o $(LIBHD)
	$(CC) hwinfo.o $(LDFLAGS) $(CFLAGS) $(LIBS) -o $@

hwscand: hwscand.o
	$(CC) $< $(LDFLAGS) $(CFLAGS) -o $@

hwscanqueue: hwscanqueue.o
	$(CC) $< $(LDFLAGS) $(CFLAGS) -o $@

hwinfo.pc: hwinfo.pc.in VERSION
	VERSION=`cat VERSION`; \
	sed -e "s,@VERSION@,$${VERSION},g" -e 's,@LIBDIR@,$(ULIBDIR),g;s,@LIBS@,$(LIBS),g' $< > $@.tmp && mv $@.tmp $@

# kept for compatibility
shared:
	@make

tiny:
	@make EXTRA_FLAGS=-DLIBHD_TINY LIBHD_BASE=libhd_tiny LIBS="$(TLIBS)" SO_LIBS="$(TSO_LIBS)"

tinyinstall:
	@make EXTRA_FLAGS=-DLIBHD_TINY LIBHD_BASE=libhd_tiny LIBS="$(TLIBS)" SO_LIBS="$(TSO_LIBS)" install

tinystatic:
	@make EXTRA_FLAGS=-DLIBHD_TINY LIBHD_BASE=libhd_tiny SHARED_FLAGS= LIBS="$(TLIBS)" SO_LIBS="$(TSO_LIBS)"

diet:
	@make CC="diet gcc" EXTRA_FLAGS="-fno-pic -DDIET" SHARED_FLAGS= LIBS="$(SLIBS)"

tinydiet:
	@make CC="diet gcc" EXTRA_FLAGS="-fno-pic -DLIBHD_TINY -DDIET" SHARED_FLAGS= LIBS="$(SLIBS)"

uc:
	@make CC="/opt/i386-linux-uclibc/bin/i386-uclibc-gcc" EXTRA_FLAGS="-fno-pic -DUCLIBC" SHARED_FLAGS= LIBS="$(SLIBS)"

tinyuc:
	@make CC="/opt/i386-linux-uclibc/usr/bin/gcc" EXTRA_FLAGS="-fno-pic -DLIBHD_TINY -DUCLIBC" SHARED_FLAGS= LIBS="$(SLIBS)"

static:
	make SHARED_FLAGS= LIBS="$(SLIBS)"

fullstatic: static
	$(CC) -static hwinfo.o $(LDFLAGS) $(SLIBS) -o hwinfo.static
	strip -R .note -R .comment hwinfo.static

doc:
	@cd doc ; doxygen libhd.doxy

install:
	install -d -m 755 $(DESTDIR)/sbin $(DESTDIR)/usr/sbin $(DESTDIR)$(ULIBDIR) \
		$(DESTDIR)$(ULIBDIR)/pkgconfig $(DESTDIR)/usr/include
	install -m 755 hwinfo $(DESTDIR)/usr/sbin
	install -m 755 src/ids/check_hd $(DESTDIR)/usr/sbin
	install -m 755 src/ids/convert_hd $(DESTDIR)/usr/sbin
	if [ -f $(LIBHD_SO) ] ; then \
		install $(LIBHD_SO) $(DESTDIR)$(ULIBDIR) ; \
		ln -snf $(LIBHD_NAME) $(DESTDIR)$(ULIBDIR)/$(LIBHD_SONAME) ; \
		ln -snf $(LIBHD_SONAME) $(DESTDIR)$(ULIBDIR)/$(LIBHD_BASE).so ; \
	else \
		install -m 644 $(LIBHD) $(DESTDIR)$(ULIBDIR) ; \
	fi
	install -m 644 hwinfo.pc $(DESTDIR)$(ULIBDIR)/pkgconfig
	install -m 644 src/hd/hd.h $(DESTDIR)/usr/include
	perl -pi -e "s/define\s+HD_VERSION\b.*/define HD_VERSION\t\t$(LIBHD_MAJOR_VERSION)/" $(DESTDIR)/usr/include/hd.h
	perl -pi -e "s/define\s+HD_MINOR_VERSION\b.*/define HD_MINOR_VERSION\t$(LIBHD_MINOR_VERSION)/" $(DESTDIR)/usr/include/hd.h
	install -m 755 getsysinfo $(DESTDIR)/usr/sbin
	install -m 755 src/isdn/cdb/mk_isdnhwdb $(DESTDIR)/usr/sbin
	install -d -m 755 $(DESTDIR)/usr/share/hwinfo
	install -d -m 755 $(DESTDIR)/var/lib/hardware/udi
	install -m 644 src/isdn/cdb/ISDN.CDB.txt $(DESTDIR)/usr/share/hwinfo
	install -m 644 src/isdn/cdb/ISDN.CDB.hwdb $(DESTDIR)/usr/share/hwinfo

archive: changelog
	@if [ ! -d .git ] ; then echo no git repo ; false ; fi
	mkdir -p package
	git archive --prefix=$(PREFIX)/ $(BRANCH) > package/$(PREFIX).tar
	tar -r -f package/$(PREFIX).tar --mode=0664 --owner=root --group=root --mtime="`git show -s --format=%ci`" --transform='s:^:$(PREFIX)/:' VERSION changelog src/hd/hd.h
	xz -f package/$(PREFIX).tar

=== debian/changelog ===
hwinfo (21.63-3.lnd.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:40:30 +0800

hwinfo (21.63-3.lnd.1) unstable; urgency=medium

  * support for loongarch.

 -- Wang Ming <wangming@loongson.cn>  The, 20 Oct 2020 11:21:02 +0800

hwinfo (21.63-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * d/rules: improve build process (Closes: #898204)

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 23 Feb 2019 18:52:02 +0100

hwinfo (21.63-2) unstable; urgency=medium

  * refresh packaging (debhelper 12, std-ver 4.3)

 -- Tomasz Buchert <tomasz@debian.org>  Thu, 10 Jan 2019 00:25:23 +0100

hwinfo (21.63-1) unstable; urgency=medium

  * New upstream version 21.63
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 18 Dec 2018 14:40:12 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# export DH_VERBOSE=1

#export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+pie
DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

export LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
export HWINFO_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --no-parallel
	dh_auto_build --no-parallel -- doc

override_dh_auto_clean:
	dh_auto_clean
	rm -f VERSION

override_dh_installdocs:
	dh_installdocs -A README.md README-hwprobe.md README-legacy.md

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/CHANGELOG

DOCDIR=debian/libhd-doc/usr/share/doc/libhd-doc/html
override_dh_install-indep:
	dh_install
	rm -f $(DOCDIR)/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js $(DOCDIR)/jquery.js

gen-upstream-changelog:
	bash debian/gen-upstream-changelog.sh $(DEB_VERSION_UPSTREAM)

## hwinfo 21.67

=== debian/changelog ===
hwinfo (21.67-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add x32 to list of architectures needing libx86emu-dev (Closes: #935109)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 09 Sep 2019 17:39:10 +0200

hwinfo (21.67-1) unstable; urgency=medium

  * New upstream version 21.67

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 28 Jul 2019 10:13:51 +0200

hwinfo (21.66-1) experimental; urgency=medium

  * New upstream version 21.66

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 22 Jun 2019 13:26:19 +0200

hwinfo (21.64-1) experimental; urgency=medium

  * Updated upstream changelog
  * New upstream version 21.64

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 30 Mar 2019 11:39:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Uploaders: Tomasz Buchert <tomasz@debian.org>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (= 12),
                doxygen,
                flex,
-               libx86emu-dev [amd64 i386],
-               pkg-config
-Standards-Version: 4.2.1
+               libx86emu-dev [amd64 i386 x32],
+               pkg-config,
+               uuid-dev
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/hwinfo
 Vcs-Git: https://salsa.debian.org/debian/hwinfo.git
 Homepage: https://github.com/openSUSE/hwinfo

## hwinfo 21.68

=== debian/changelog ===
hwinfo (21.68-1) unstable; urgency=medium

  * New upstream version 21.68

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 18 Jan 2020 14:12:15 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper-compat (= 12),
                doxygen,
                flex,
-               libx86emu-dev [amd64 i386 x32],
+               libx86emu-dev [amd64 i386],
                pkg-config,
                uuid-dev
 Standards-Version: 4.3.0

## hwinfo 21.70

=== debian/changelog ===
hwinfo (21.70-1build1) groovy; urgency=medium

  * No-change rebuild against libx86emu3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 May 2020 00:43:34 +0000

hwinfo (21.70-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Tomasz Buchert ]
  * New upstream version 21.70

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 03 May 2020 21:40:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: hwinfo
-Maintainer: Sebastien Badia <sbadia@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastien Badia <sbadia@debian.org>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
 Section: admin
 Priority: optional
@@ -10,7 +11,7 @@
                libx86emu-dev [amd64 i386],
                pkg-config,
                uuid-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/hwinfo
 Vcs-Git: https://salsa.debian.org/debian/hwinfo.git
 Homepage: https://github.com/openSUSE/hwinfo

## hwinfo 21.71

=== debian/changelog ===
hwinfo (21.71-1) unstable; urgency=medium

  * Add Rules-Requires-Root: no
  * New upstream version 21.71
  * Use debhelper 13

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 21 Nov 2020 13:27:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: hwinfo
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastien Badia <sbadia@debian.org>
+Maintainer: Sebastien Badia <sbadia@debian.org>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 12),
-               debhelper-compat (= 12),
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (= 13),
                doxygen,
                flex,
                libx86emu-dev [amd64 i386],
@@ -15,6 +14,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/hwinfo
 Vcs-Git: https://salsa.debian.org/debian/hwinfo.git
 Homepage: https://github.com/openSUSE/hwinfo
+Rules-Requires-Root: no
 
 Package: hwinfo
 Architecture: linux-any

## hwinfo 21.72

=== src/smp/Makefile ===
TOPDIR	= ../..
TARGETS	= $(LIBHD_D)

include $(TOPDIR)/Makefile.common

$(LIBHD_D): $(OBJS)
	ar r $(LIBHD) $?

=== debian/changelog ===
hwinfo (21.72-1) unstable; urgency=medium

  * New upstream version 21.72
  * Updated upstream changelog
  * Bump std-ver to 4.5.1

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 31 Jan 2021 13:07:49 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libx86emu-dev [amd64 i386],
                pkg-config,
                uuid-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/hwinfo
 Vcs-Git: https://salsa.debian.org/debian/hwinfo.git
 Homepage: https://github.com/openSUSE/hwinfo

## hwinfo 21.81

=== debian/changelog ===
hwinfo (21.81-1) unstable; urgency=medium

  * New upstream version 21.81
  * Updated upstream changelog

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 30 Apr 2022 15:17:02 +0200

## hwinfo 21.82

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 TARGETS		= hwinfo hwinfo.pc changelog
 CLEANFILES	= hwinfo hwinfo.pc hwinfo.static hwscan hwscan.static hwscand hwscanqueue doc/libhd doc/*~
 LIBS		= -lhd
-SLIBS		= -lhd
+SLIBS		= -lhd -luuid
 TLIBS		= -lhd_tiny
-SO_LIBS		=
+SO_LIBS		= -luuid
 TSO_LIBS	=
 
 export SO_LIBS

=== src/hd/Makefile ===
TOPDIR		= ../..
TARGETS		= $(LIBHD_D)
CLEANFILES	= version.h

include $(TOPDIR)/Makefile.common

version.h: $(TOPDIR)/VERSION
	@echo "#define HD_VERSION_STRING \"`cat $(TOPDIR)/VERSION`\"" >$@

$(LIBHD_D): $(OBJS)
	ar r $(LIBHD) $?

=== src/isdn/Makefile ===
TOPDIR	= ../..
TARGETS	= $(LIBHD_D)
SUBDIRS = cdb

include $(TOPDIR)/Makefile.common

$(LIBHD_D): $(OBJS)
	ar r $(LIBHD) $?

=== debian/changelog ===
hwinfo (21.82-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:24:43 +0000

hwinfo (21.82-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063119

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:10:15 +0000

hwinfo (21.82-1) unstable; urgency=medium

  * New upstream version 21.82

 -- Tomasz Buchert <tomasz@debian.org>  Tue, 12 Jul 2022 23:59:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: hwinfo
-Maintainer: Sebastien Badia <sbadia@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastien Badia <sbadia@debian.org>
 Uploaders: Tomasz Buchert <tomasz@debian.org>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 13),
                debhelper-compat (= 13),
                doxygen,
                flex,
@@ -34,7 +35,10 @@
  you think one or more of these should be included in the package, please
  contact the maintainer at hwinfo@packages.debian.org.
 
-Package: libhd21
+Package: libhd21t64
+Provides: ${t64:Provides}
+Replaces: libhd21
+Breaks: libhd21 (<< ${source:Version})
 Architecture: linux-any
 Multi-Arch: same
 Section: libs
@@ -83,7 +87,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: libhd21 (= ${binary:Version}), ${misc:Depends}
+Depends: libhd21t64 (= ${binary:Version}), ${misc:Depends}
 Suggests: libhd-doc
 Provides: libhd12-dev,
           libhd13-dev,

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 DOCDIR=debian/libhd-doc/usr/share/doc/libhd-doc/html
 override_dh_install-indep:
 	dh_install
-	rm -f $(DOCDIR)/jquery.js
+	rm $(DOCDIR)/jquery.js
 	ln -s /usr/share/javascript/jquery/jquery.js $(DOCDIR)/jquery.js
 
 gen-upstream-changelog:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/hwinfo-$1\.tar\.gz/ \
  https://github.com/openSUSE/hwinfo/tags .*/v?(\d\S*)\.tar\.gz

## hwinfo 23.2

=== debian/changelog ===
hwinfo (23.2-0deepin4) unstable; urgency=medium

  * update the pci and usb ids db.

 -- Wang Yu <wangyu@uniontch.com>  Thu, 20 Feb 2025 20:14:43 +0800

hwinfo (23.2-0deepin3) unstable; urgency=medium

  * update openSUSE/hwinfo 23.2. 

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 12 Jun 2024 14:19:56 +0800

hwinfo (21.83-0deepin3) unstable; urgency=medium

  * add uniontech018_fix_serial_code 

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 19 Jan 2024 13:19:51 +0800

hwinfo (21.83-0deepin2) unstable; urgency=medium

  * update openSUSE/hwinfo 21.83.

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 03 Jan 2024 21:19:27 +0800

hwinfo (21.82-2deepin1) unstable; urgency=medium

  [ shuaijie ]
  * feat: add touchpad information from input.
    some proc file handle no mouse may miss touchpad.

 -- Tianyu Chen <sweetyfish@deepin.org>  Wed, 11 Oct 2023 17:31:51 +0800

hwinfo (21.82-2) unstable; urgency=medium

  * update the pci and usb ids db

 -- Deepin Packages Builder <deepin@deepin-PC>  Mon 30 Jan 2023 17:01:16 +0800
